tigase.jaxmpp.core.client.xmpp.modules.registration

## Class InBandRegistrationModule

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule<T>
  - - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaExtendableModule<IQ>
    - - tigase.jaxmpp.core.client.xmpp.modules.AbstractIQModule
      - - tigase.jaxmpp.core.client.xmpp.modules.registration.InBandRegistrationModule

- All Implemented Interfaces:
    ContextAware, ExtendableModule, InitializingModule, XmppModule

      public class InBandRegistrationModule
      extends AbstractIQModule

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `InBandRegistrationModule.NotSupportedErrorHandler`
    `static interface` | `InBandRegistrationModule.ReceivedErrorHandler`
    `static interface` | `InBandRegistrationModule.ReceivedRequestedFieldsHandler`
    `static interface` | `InBandRegistrationModule.ReceivedTimeoutHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BINDED_RESOURCE_JID` Duplicate of `ResourceBinderModule#BINDED_RESOURCE_JID` to avoid dependency between modules.
    `static String` | `IN_BAND_REGISTRATION_MODE_KEY`

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `context, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InBandRegistrationModule()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNotSupportedErrorHandler(InBandRegistrationModule.NotSupportedErrorHandler handler)`
    `void` | `addReceivedErrorHandler(InBandRegistrationModule.ReceivedErrorHandler handler)`
    `void` | `addReceivedRequestedFieldsHandler(InBandRegistrationModule.ReceivedRequestedFieldsHandler handler)`
    `void` | `addReceivedTimeoutHandler(InBandRegistrationModule.ReceivedTimeoutHandler handler)`
    `Criteria` | `getCriteria()` Criteria
    `String[]` | `getFeatures()` Returns features what are implemented by Module.
    `static boolean` | `isRegistrationAvailable(Context context)`
    `static boolean` | `isRegistrationAvailable(SessionObject sessionObject)`
    `protected void` | `processGet(IQ element)` Method for processing stanza `<iq type='get'>`.
    `protected void` | `processSet(IQ element)` Method for processing stanza `<iq type='set'>`.
    `void` | `register(String username, String password, String email, AsyncCallback asyncCallback)`
    `void` | `register(UnifiedRegistrationForm form, AsyncCallback asyncCallback)`
    `void` | `removeAccount(AsyncCallback asyncCallback)`
    `void` | `removeNotSupportedErrorHandler(InBandRegistrationModule.NotSupportedErrorHandler handler)`
    `void` | `removeReceivedErrorHandler(InBandRegistrationModule.ReceivedErrorHandler handler)`
    `void` | `removeReceivedRequestedFieldsHandler(InBandRegistrationModule.ReceivedRequestedFieldsHandler handler)`
    `void` | `removeReceivedTimeoutHandler(InBandRegistrationModule.ReceivedTimeoutHandler handler)`
    `void` | `start()`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractIQModule

      `process`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaExtendableModule

      `addExtension, getExtensionChain, getFeaturesWithExtensions, removeExtension, write, write, write`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `afterRegister, beforeRegister, beforeUnregister, fireEvent, getFirstChild, process, setContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BINDED_RESOURCE_JID

          public static final String BINDED_RESOURCE_JID

      Duplicate of `ResourceBinderModule#BINDED_RESOURCE_JID` to avoid dependency between modules.
      See Also:
        Constant Field Values

    - #### IN_BAND_REGISTRATION_MODE_KEY

          public static final String IN_BAND_REGISTRATION_MODE_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InBandRegistrationModule

          public InBandRegistrationModule()

  - ### Method Detail

    - #### isRegistrationAvailable

          public static boolean isRegistrationAvailable(Context context)
                                                 throws JaxmppException

      Throws:
        `JaxmppException`

    - #### isRegistrationAvailable

          public static boolean isRegistrationAvailable(SessionObject sessionObject)
                                                 throws JaxmppException

      Throws:
        `JaxmppException`

    - #### addNotSupportedErrorHandler

          public void addNotSupportedErrorHandler(InBandRegistrationModule.NotSupportedErrorHandler handler)

    - #### addReceivedErrorHandler

          public void addReceivedErrorHandler(InBandRegistrationModule.ReceivedErrorHandler handler)

    - #### addReceivedRequestedFieldsHandler

          public void addReceivedRequestedFieldsHandler(InBandRegistrationModule.ReceivedRequestedFieldsHandler handler)

    - #### addReceivedTimeoutHandler

          public void addReceivedTimeoutHandler(InBandRegistrationModule.ReceivedTimeoutHandler handler)

    - #### getCriteria

          public Criteria getCriteria()

      Description copied from interface: `XmppModule`
      Criteria
      Returns:

    - #### getFeatures

          public String[] getFeatures()

      Description copied from interface: `XmppModule`

      Returns features what are implemented by Module.

      See Service Discovery Features

      Returns:
        array of features

    - #### processGet

          protected void processGet(IQ element)
                             throws JaxmppException

      Description copied from class: `AbstractIQModule`
      Method for processing stanza `<iq type='get'>`.
      Specified by:
        `processGet` in class `AbstractIQModule`
      Parameters:
        `element` - incoming XMPP stanza
      Throws:
        `JaxmppException`

    - #### processSet

          protected void processSet(IQ element)
                             throws JaxmppException

      Description copied from class: `AbstractIQModule`
      Method for processing stanza `<iq type='set'>`.
      Specified by:
        `processSet` in class `AbstractIQModule`
      Parameters:
        `element` - incoming XMPP stanza
      Throws:
        `JaxmppException`

    - #### register

          public void register(UnifiedRegistrationForm form,
                               AsyncCallback asyncCallback)
                        throws JaxmppException

      Throws:
        `JaxmppException`

    - #### register

          public void register(String username,
                               String password,
                               String email,
                               AsyncCallback asyncCallback)
                        throws JaxmppException

      Throws:
        `JaxmppException`

    - #### removeAccount

          public void removeAccount(AsyncCallback asyncCallback)
                             throws JaxmppException

      Throws:
        `JaxmppException`

    - #### removeNotSupportedErrorHandler

          public void removeNotSupportedErrorHandler(InBandRegistrationModule.NotSupportedErrorHandler handler)

    - #### removeReceivedErrorHandler

          public void removeReceivedErrorHandler(InBandRegistrationModule.ReceivedErrorHandler handler)

    - #### removeReceivedRequestedFieldsHandler

          public void removeReceivedRequestedFieldsHandler(InBandRegistrationModule.ReceivedRequestedFieldsHandler handler)

    - #### removeReceivedTimeoutHandler

          public void removeReceivedTimeoutHandler(InBandRegistrationModule.ReceivedTimeoutHandler handler)

    - #### start

          public void start()
                     throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2019 Tigase. All rights reserved.